.button {
    border-radius: 5px;
    border: none;
    box-shadow: 0 0 1px 1px #ccc;
    background-color: #E3E3E4;
    padding: 0 20px;
    user-select: none;
    font-size: 14px;
    font-weight: 600;
    line-height: 30px;
}
.button:hover {
    background: #ddd;
    cursor: pointer;
}

.button:not(:disabled):active {
    box-shadow: inset 0 0 1px 1px #ccc;
}

.button:disabled {
    background-color: #eee;
    color: #999;
    cursor: default;
}

.button:hover:disabled {
    cursor: not-allowed;
}